> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get diff

> Get the current diff for a task by UUID.



## OpenAPI

````yaml GET /v1/tasks/{taskId}/diff
openapi: 3.1.0
info:
  title: Capy API
  version: 1.0.0
servers:
  - url: https://capy.ai/api
security:
  - bearerAuth: []
tags:
  - name: threads
  - name: sessions
  - name: tasks
  - name: projects
  - name: tags
  - name: models
  - name: usage
  - name: setup
  - name: snapshots
  - name: browser-snapshots
  - name: environment-variables
  - name: automations
paths:
  /v1/tasks/{taskId}/diff:
    get:
      tags:
        - tasks
      summary: Get task diff
      description: Get the current diff for a task by UUID.
      operationId: getTaskDiff
      parameters:
        - name: taskId
          in: path
          required: true
          description: Task UUID.
          schema:
            type: string
            format: uuid
          example: 550e8400-e29b-41d4-a716-446655440000
        - name: mode
          in: query
          required: false
          schema:
            type: string
            enum:
              - uncommitted
              - pr
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskDiffResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '422':
          $ref: '#/components/responses/ValidationError'
        '500':
          $ref: '#/components/responses/InternalError'
      security:
        - bearerAuth: []
components:
  schemas:
    TaskDiffResponse:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        stats:
          type: object
          properties:
            files:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            additions:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            deletions:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
          required:
            - files
            - additions
            - deletions
          additionalProperties: false
        files:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              state:
                type: string
              additions:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              deletions:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              patch:
                type: string
            required:
              - path
              - state
              - additions
              - deletions
              - patch
            additionalProperties: false
        source:
          type: string
          enum:
            - snapshot
            - github
            - summary
      required:
        - stats
        - files
        - source
      additionalProperties: false
    ErrorResponse:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            details: {}
          required:
            - code
            - message
          additionalProperties: false
      required:
        - error
      additionalProperties: false
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    ValidationError:
      description: Validation error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalError:
      description: Internal error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token (capy_xxxx). Generate at capy.ai/settings/tokens

````